/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IconDefinition } from '@fortawesome/fontawesome-svg-core';
import { Subscription } from 'rxjs';
import { Alert } from '../../models/alert.model';
import { AlertService } from '../../services/alert.service';
import * as i0 from "@angular/core";
/**
 * `Alerts` handles rendering array of alerts to screen, and controls how
 * alerts are displayed (i.e. color/class based on type of alert).
 */
export declare class AlertsComponent implements OnDestroy, OnInit {
    private router;
    private alertService;
    id: string;
    alerts: Alert[];
    faTimes: IconDefinition;
    sub: Subscription;
    constructor(router: Router, alertService: AlertService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    /**
     * Removes the given alert from array of alerts and therefore the screen,
     * as long as the alert is still on the screen.
     *
     * @param alert The alert to remove.
     */
    removeAlert(alert: Alert): void;
    cssClass(alert: Alert): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertsComponent, "ngx-mat-alerts", never, { "id": "id"; }, {}, never, never>;
}
