/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { AfterViewInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { JsonModel } from '@ngx-material-dashboard/base-json';
import { FilterDropDownComponent } from '../../../toolbar/components/filter-drop-down/filter-drop-down.component';
import { PagedCollectionWithToolbarComponent } from '../paged-collection-with-toolbar/paged-collection-with-toolbar.component';
import * as i0 from "@angular/core";
/**
 * The `PagedCollectionWithRaisedButtonToolbar` extends the
 * `PagedCollectionWithToolbar`. This component does not add new capabilities,
 * but defines the type of toolbar expected to be used with the collection,
 * which is the `RaisedButtonToolbar`. It requires the collection in the
 * template to be of type `PagedCollection` since it expects paging to be
 * managed by the collection itself. See the documentation for the
 * `RaisedButtonToolbar` for more details
 * [here](/widgets/toolbar/overview#raised-button-toolbar-component).
 */
export declare class PagedCollectionWithRaisedButtonToolbarComponent<T extends JsonModel> extends PagedCollectionWithToolbarComponent<T> implements AfterViewInit {
    /** A reference to the filter drop down included in the toolbar above the collection. */
    filter: FilterDropDownComponent;
    form: FormGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagedCollectionWithRaisedButtonToolbarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagedCollectionWithRaisedButtonToolbarComponent<any>, "ng-component", never, { "form": "form"; }, {}, ["filter"], never>;
}
