/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { AfterContentInit, EventEmitter } from '@angular/core';
import { IconDefinition } from '@fortawesome/free-solid-svg-icons';
import { FilterDropDownComponent } from '../../../toolbar/components/filter-drop-down/filter-drop-down.component';
import * as i0 from "@angular/core";
/**
 * The header for the app.
 */
export declare class HeaderComponent implements AfterContentInit {
    /** A reference to the optional filter drop down to include. */
    filter?: FilterDropDownComponent;
    /** The main "logo" text for the app. */
    logo: string;
    /** Event emitted when user clicks search button in drop down filter. */
    searchFilterClick: EventEmitter<boolean>;
    /** Event emitted when user clicks button to toggle sidenav. */
    toggleSidenav: EventEmitter<boolean>;
    /**
     * The bars icon to display in the header.
     */
    faBars: IconDefinition;
    ngAfterContentInit(): void;
    /**
     * Emits the event to toggle the sidenav menu when the user clicks the bars.
     */
    onToggleSidenav(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "ngx-mat-header", never, { "logo": "logo"; }, { "searchFilterClick": "searchFilterClick"; "toggleSidenav": "toggleSidenav"; }, ["filter"], ["*"]>;
}
